@import "./vars.scss";

* {
    margin: 0;
    padding: 0;
    color: $colorMain;
    box-sizing: border-box;
    -webkit-tap-highlight-color: transparent;
}

html {
    font-size: 16px;
    font-family: Onest, sans-serif;
}

li {
    font-style: normal;
    list-style-type: none;
}

a {
    text-align: center;
    color: $colorMain;
    text-decoration: none;
}

button {
    border: none;
    background: none;
}

html,
body {
    height: 100%;
}

#root {
    margin: 0 auto;
    max-width: 1920px;
}

.btn {
    text-align: center;
    line-height: 20.4px;
    border-radius: 30px;
}

//common classes style

.section {
    margin: 0 auto;
    max-width: $maxWidth;
    padding: $paddingMain;
}

.sectionTwo {
    padding: 100px 0;
    background: linear-gradient(90deg, #e5f0ff, #d9f2ff);
}

.header {
    width: 100%;
    display: flex;
    * {
        align-self: center;
    }
}

.link {
    color: #00acc8;
    line-height: 20.4px;
    border-radius: 30px;
    border: 1px solid #00acc8;
    padding: 13px 26px 11px 26px;
    transition: all 0.25s ease-in-out;
}

.link:hover {
    color: #036f81;
    border-color: #036f81;
}

.link:active {
    color: #02434e;
    border-color: #02434e;
}

.link:disabled {
    color: #bdbdbd;
    border-color: #bdbdbd;
}

.swiper-pagination-bullet {
    width: 10px !important;
    height: 10px !important;
    background-color: #c0e1e4 !important;
}

.swiper-pagination-bullet-active {
    background-color: #00acc8 !important;
}

@media (max-width: 1024px) {
    html {
        font-size: 14px;
    }
}

@media (max-width: 450px) {
    .link {
        padding: 10px;
    }
    .sectionTwo {
        padding: 60px 0;
    }
}

//fonts
@font-face {
    font-weight: 400;
    font-family: "Onest";
    src: url("./fonts/Onest-Regular.ttf") format("ttf"),
        url("./fonts/Onest-Regular.woff") format("woff");
}

@font-face {
    font-weight: 500;
    font-family: "Onest";
    src: url("./fonts/Onest-Medium.ttf") format("ttf"),
        url("./fonts/Onest-Medium.woff") format("woff");
}

// "Onest";
@font-face {
    font-weight: 700;
    font-family: "Onest";
    src: url("./fonts/Onest-Bold.ttf") format("ttf"),
        url("./fonts/Onest-Bold.woff") format("woff");
}

// "Roboto Serif";
@import url("https://fonts.googleapis.com/css2?family=Roboto+Serif:opsz,wght@8..144,300;8..144,700&display=swap");

@media (hover: none) {
    .linkMoreWrapper:hover,
    .btnLigth:hover,
    .btnDark:hover {
        pointer-events: none;
    }
}
